std::basic_string::begin,(3)

NAME
std::basic_string::begin, - std::basic_string::begin,

Synopsis
   iterator begin(); (until C++11)
   iterator begin() noexcept; (since C++11)
                        (until C++20)
   constexpr iterator begin() (since C++20)
   noexcept;
   const_iterator begin() const; (until C++11)
   const_iterator begin() const (1) (since C++11)
   noexcept; (until C++20)
   constexpr const_iterator begin() (since C++20)
   const noexcept; (2)
   const_iterator cbegin() const (since C++11)
   noexcept; (3) (until C++20)
   constexpr const_iterator cbegin() (since C++20)
   const noexcept;
   Returns an iterator to the first character of the string.
   begin() returns a mutable or constant iterator, depending on the constness of *this.
   cbegin() always returns a constant iterator. It is equivalent to const_cast<const
   basic_string&>(*this).begin().
   range-begin-end.svg

Parameters
   (none)

Return value
   iterator to the first character

Complexity
   Constant

Example
// Run this code
 #include <string>
 #include <iostream>
 int main()
 {
     std::string s("Exemplar");
     *s.begin() = 'e';
     std::cout << s <<'\n';
     auto i = s.cbegin();
     std::cout << *i << '\n';
 // *i = 'E'; // error: i is a constant iterator
 }

Output:
 exemplar
 e

See also
   end returns an iterator to the end
   cend (public member function)
   (C++11)
   begin returns an iterator to the beginning
   cbegin (public member function of std::basic_string_view<CharT,Traits>)
   (C++17)